Bug 162377 - databases/mysql++3: portability fix for gcc-4.6
Summary: databases/mysql++3: portability fix for gcc-4.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-08 14:00 UTC by Yuri Karaban
Modified: 2011-11-25 18:30 UTC (History)
0 users

See Also:


Attachments
file.diff (230 bytes, patch)
2011-11-08 14:00 UTC, Yuri Karaban
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Karaban 2011-11-08 14:00:22 UTC
In lib/refcounted.h size_t is used without including proper headers (it seems in earlier versions of gcc <memory> included <cstddef>).

Please apply one line patch to include <cstddef> for size_t definition.

Thanks!

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-11-08 14:00:31 UTC
Maintainer of databases/mysql++3,

Please note that PR ports/162377 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/162377

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-11-08 14:00:34 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Vlad Galu 2011-11-08 14:03:56 UTC
On Nov 8, 2011, at 2:00 PM, Edwin Groothuis wrote:

> Maintainer of databases/mysql++3,
>=20
> Please note that PR ports/162377 has just been submitted.
>=20
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>=20
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/162377
>=20
> --=20
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org


Hi Edwin,

Sure, go ahead. However, I can't seem to find that PR, GNATS says it =
doesn't exist.

Good, fast & cheap: pick any two.
Comment 4 Martin Wilke freebsd_committer 2011-11-25 18:24:46 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2011-11-25 18:24:50 UTC
miwi        2011-11-25 18:24:36 UTC

  FreeBSD ports repository

  Added files:
    databases/mysql++3/files patch-lib_refcounted.h 
  Log:
  - Fix build with GCC 4.6
  
  PR:             162377
  Submitted by:   Yuri Karaban <dev@dev97.com>
  Approved by:    maintainer
  Feature safe:   yes
  
  Revision  Changes    Path
  1.1       +16 -0     ports/databases/mysql++3/files/patch-lib_refcounted.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"